package com.leanwo.activiti.dto.base;

import java.util.List;

/**
 * 根据ModelData计算哪些用户可以选择.
 *
 * @author YangZhiJie
 */
public class UserSelectCalculateRequest {

	/**  数据. */
	private ModelData modelData;
	
	/**  用户选择项. */
	private List<UserSelectDefine> userSelectDefines;
	
	/** 表单变量. */
	private List<KeyValueObject> keyValueObjects;

	/**
	 * Gets the 数据.
	 *
	 * @return the 数据
	 */
	public ModelData getModelData() {
		return modelData;
	}

	/**
	 * Sets the 数据.
	 *
	 * @param modelData the new 数据
	 */
	public void setModelData(ModelData modelData) {
		this.modelData = modelData;
	}

	/**
	 * Gets the 用户选择项.
	 *
	 * @return the 用户选择项
	 */
	public List<UserSelectDefine> getUserSelectDefines() {
		return userSelectDefines;
	}

	/**
	 * Sets the 用户选择项.
	 *
	 * @param userSelectDefines the new 用户选择项
	 */
	public void setUserSelectDefines(List<UserSelectDefine> userSelectDefines) {
		this.userSelectDefines = userSelectDefines;
	}
	
	/**
	 * Gets the key value strs.
	 *
	 * @return the key value strs
	 */
	public List<KeyValueObject> getKeyValueObjects() {
		return keyValueObjects;
	}

	/**
	 * Sets the key value strs.
	 *
	 * @param keyValueObjects the new key value strs
	 */
	public void setKeyValueObjects(List<KeyValueObject> keyValueObjects) {
		this.keyValueObjects = keyValueObjects;
	}
}
